<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	//wp_title( '|', true, 'right' );

	// Add the blog name.
	//bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="icon"  type="image/png"  href="<?php bloginfo('template_directory'); ?>/images/fav_lab.png">
<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/scripts/jquery-1.6.3.min.js'></script>
<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/scripts/bifon-1.0b.min.js'></script>
<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/scripts/cufon-yui.js'></script>
<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/scripts/BYekan.js'></script>
<script type='text/javascript' src='<?php bloginfo('template_directory'); ?>/scripts/main.js'></script>

<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-20400688-1']);
  _gaq.push(['_setDomainName', 'averta.net']);
  _gaq.push(['_setAllowHash', false]);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>

<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
</head>

<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
	<div id="header">
		<div id="masthead">
			<div id="branding" role="banner">
				<?php $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div'; ?>
				<<?php echo $heading_tag; ?> id="site-title">
					<span>
						<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php bloginfo('template_directory'); ?>/images/main/logo.png"  alt="<?php bloginfo( 'name' ); ?>" />  </a>
					</span>
				</<?php echo $heading_tag; ?>>
				<div id="site-description"><?php /* MFSH  bloginfo( 'description' ); */?>
                	<!-- RSS BTN -->
                    <a href="<?php echo home_url( '/' ).'?feed=rss2'?>" title="subscribe" >
                    	<img src="<?php bloginfo('template_directory'); ?>/images/main/rss.png"  alt="subscribe to Rss" >
                    </a>
                
                </div>
			</div><!-- #branding -->
		</div><!-- #masthead -->
	</div><!-- #header -->

	<div id="main">
			<div id="access" role="navigation">
				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
				<?php wp_nav_menu( array(  'container_class' => 'menu', 'theme_location' => 'primary', 'menu_class' => '' ) ); ?>
			</div><!-- #access -->