<?php
/**
* Author : Morteza Faghih shojaei
* Date : 9/9/2011
**/
class Projects_Widget extends WP_Widget { 
 
	function Projects_Widget() {  
            parent::WP_Widget(false , "Projects Widget" , array('description' => 'List all of the posts in the specific category with icon and abstract content.'));  
	}  
	
	function form($instance) {  
		$title = esc_attr($instance['title']);
		$cat_id = esc_attr($instance['cat_id']);
			
		 ?>
				<p> <label for="<?php echo $this->get_field_id('title'); ?>">
						<?php _e('Title:'); ?>
						 <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
					</label>
				</p>
				
				<p> <label for="<?php echo $this->get_field_id('cat_id'); ?>">
						<?php _e('Category:'); ?>
						
						<select class="widefat" id="<?php echo $this->get_field_id('cat_id'); ?>" name="<?php echo $this->get_field_name('cat_id'); ?>">
							<?php
                           		$category_ids = get_all_category_ids();
								foreach($category_ids as $curretn_cat_id) {
			 					$cat_name = get_cat_name($curretn_cat_id);
							?>
                            <option value="<?php echo $curretn_cat_id; ?>" <?php echo ($curretn_cat_id == $cat_id)?"selected=\"selected\"" : "" ?>><?php echo $cat_name; ?></option>
							<?php } ?>
						 </select>
					</label>
				</p>
		<?php
	} 
	
    function update($new_instance, $old_instance) {  
            // processes widget options to be saved  
            return $new_instance;  
  	}
	
    function widget($args, $instance) {  
           $args['title'] = $instance['title'];
		   $args['cat_id'] = $instance['cat_id'];
		createProjectsWidgetBody($args);  
    }  
	
}  
   register_widget('Projects_Widget');

function createProjectsWidgetBody($args = array()) {
		global $post;
		$args = array( 'numberposts' => -1 , 'category' =>  $args['cat_id'] , 'order'=> 'ASC', 'orderby' => 'title' );
		$myposts = get_posts( $args );
		?>
        <div class="project_widget">
        <?php
		foreach( $myposts as $post ) :
			setup_postdata($post); ?>
            <div class="project_widget_cont">
                <div class="project_widget_title">
                	<?php $img_src = get_post_meta(get_the_ID() , 'widget_img', true);
					if($img_src != ''): ?>
                   		<a href="<?php the_permalink(); ?>"><span class='text'><?php the_title();?></span><img src="<?php echo $img_src ?>" /></a>
                    <?php else:?>
                    	<a href="<?php the_permalink(); ?>"><span class='text'><?php the_title();?></span></a>
                     <?php endif ?>
                </div>
                
                <?php 
				$str = substr ( get_post_meta(get_the_ID() , 'widget_des', true) , 0 , 100);	
				if($str != ""):
				?>
                <div class="project_widget_des"><?php echo $str . '...'; ?></div>
                <?php endif; ?>
            </div>
            <div class="spliter project_widget_spliter"></div>
           
		<?php endforeach;?>
         </div>
<?php }?>